FreeMat

- Main Page
- Related Pages

vtkMutableGraphHelper

Section: Visualization Toolkit Infovis Classes

# Usage

vtkMutableGraphHelper has helper methods AddVertex and AddEdge which add vertices/edges to the underlying mutable graph. This is helpful in filters which need to (re)construct graphs which may be either directed or undirected.

To create an instance of class vtkMutableGraphHelper, simply invoke its constructor as follows

      obj = vtkMutableGraphHelper

# Methods

The class vtkMutableGraphHelper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMutableGraphHelper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMutableGraphHelper = obj.NewInstance ()`
- `vtkMutableGraphHelper = obj.SafeDownCast (vtkObject o)`
- `obj.SetGraph (vtkGraph g)` - Set the underlying graph that you want to modify with this helper. The graph must be an instance of vtkMutableDirectedGraph or vtkMutableUndirectedGraph.
- `vtkGraph = obj.GetGraph ()` - Set the underlying graph that you want to modify with this helper. The graph must be an instance of vtkMutableDirectedGraph or vtkMutableUndirectedGraph.
- `vtkGraphEdge = obj.AddGraphEdge (vtkIdType u, vtkIdType v)` - Add an edge to the underlying mutable graph.
- `vtkIdType = obj.AddVertex ()` - Add a vertex to the underlying mutable graph.
- `obj.RemoveVertex (vtkIdType v)` - Remove a vertex from the underlying mutable graph.
- `obj.RemoveVertices (vtkIdTypeArray verts)` - Remove a collection of vertices from the underlying mutable graph.
- `obj.RemoveEdge (vtkIdType e)` - Remove an edge from the underlying mutable graph.
- `obj.RemoveEdges (vtkIdTypeArray edges)` - Remove a collection of edges from the underlying mutable graph.